﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Shared;
using System.ComponentModel;

namespace WPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        public MainWindow()
        {
            InitializeComponent();
         }

        private void Button_Click(object sender, RoutedEventArgs e)
        {

            var dataList = (chart.DataContext as viewmodel).Data;

            if (dataList.Count < 5)
            {
                dataList.Add(new model() { Country ="Uruguay", Count = 165 });
                dataList.Add(new model() {Country = "Argentina", Count = 110});
                dataList.Add(new model() {Country = "United States", Count = 85});
                dataList.Add(new model() {Country = "United States", Count = 55});
            }
            var rnd1 = new Random();
            var list = dataList.ToList();
            dataList.Clear();
            foreach (var item in list)
            {
                dataList.Add(new model() { Country = item.Country, Count = rnd1.Next(50, 200) });
            }
        }

    }

    public class model : INotifyPropertyChanged
    {
        public double _count;
        public string Country 
        {
            get;
            set;
        }
     

        public double Count
        {
            get { return _count; }
            set
            {
                _count = value;
                OnPropertyChanged("Count");
            }
        }

        void OnPropertyChanged(string Name)
        {
            if(PropertyChanged!=null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(Name));
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;
    }
    public class viewmodel 
    {
        public viewmodel()
        {
            this.Data = new ObservableCollection<model>();
          Data.Add(new model() { Country = "Others", Count = 195 });                       

        }

        public ObservableCollection<model> Data
        {
            get;
            set;
        }
    }
}
